import { UiComponent } from "./UiComponent";
import { TeamAppsUiContext } from "./TeamAppsUiContext";
import { UiVerticalLayoutCommandHandler, UiVerticalLayoutConfig } from "../generated/UiVerticalLayoutConfig";
export declare class UiVerticalLayout extends UiComponent<UiVerticalLayoutConfig> implements UiVerticalLayoutCommandHandler {
    private $verticalLayout;
    private children;
    constructor(config: UiVerticalLayoutConfig, context: TeamAppsUiContext);
    getMainDomElement(): JQuery;
    protected onAttachedToDom(): void;
    onResize(): void;
    destroy(): void;
    addComponent(childComponent: UiComponent): void;
    removeComponent(childComponent: UiComponent): void;
}
